Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 711350 - app-crypt/zulucrypt-5.4.0 : fails to build with -fno-common or gcc-10
Summary: app-crypt/zulucrypt-5.4.0 : fails to build with -fno-common or gcc-10
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Johannes Huber
URL: https://github.com/mhogomchungu/zuluC...
Whiteboard:
Keywords: PATCH
Depends on:
Blocks: -fno-common
  Show dependency tree
 
Reported: 2020-03-02 17:38 UTC by Toralf Förster
Modified: 2020-12-28 12:43 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,16.11 KB, text/plain)
2020-03-02 17:38 UTC, Toralf Förster
Details
app-crypt:zulucrypt-5.4.0:20200302-073305.log (app-crypt:zulucrypt-5.4.0:20200302-073305.log,97.95 KB, text/plain)
2020-03-02 17:38 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,92.55 KB, text/plain)
2020-03-02 17:38 UTC, Toralf Förster
Details
environment (environment,111.03 KB, text/plain)
2020-03-02 17:38 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,10.92 KB, application/x-bzip)
2020-03-02 17:38 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,4.98 KB, application/x-bzip)
2020-03-02 17:38 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,31.58 KB, application/x-bzip)
2020-03-02 17:38 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-03-02 17:38:01 UTC
cd /var/tmp/portage/app-crypt/zulucrypt-5.4.0/work/zulucrypt-5.4.0_build/zuluCrypt-cli && /usr/bin/x86_64-pc-linux-gnu-gcc -D_DEFAULT_SOURCE -DzuluCrypt_exe_EXPORTS -I/var/tmp/portage/app-crypt/zulucrypt-5.4.0/work/zulucrypt-5.4.0_build -I/var/tmp/portage/app-crypt/zulucrypt-5.4.0/work/zuluCrypt-5.4.0/external_libraries/zuluplay   -DNDEBUG -O2 -pipe -march=native -fno-common -falign-functions=32:25:16 -fPIC   -fstack-protector-all --param ssp-buffer-size=4 -I/var/tmp/portage/app-crypt/zulucrypt-5.4.0/work/zulucrypt-5.4.0_build -D_FILE_OFFSET_BITS=64 -Wextra -Wall -s -fPIC -pthread  -pedantic  -o CMakeFiles/zuluCrypt-exe.dir/bin/test.c.o -c /var/tmp/portage/app-crypt/zulucrypt-5.4.0/work/zuluCrypt-5.4.0/zuluCrypt-cli/bin/test.c
[ 23%] Linking C shared library libzuluCrypt-exe.so
cd /var/tmp/portage/app-crypt/zulucrypt-5.4.0/work/zulucrypt-5.4.0_build/zuluCrypt-cli && /usr/bin/cmake -E cmake_link_script CMakeFiles/zuluCrypt-exe.dir/link.txt --verbose=1
/usr/bin/x86_64-pc-linux-gnu-gcc -fPIC -O2 -pipe -march=native -fno-common -falign-functions=32:25:16 -pie -Wl,-z,relro -Wl,-z,now -Wl,-O1 -Wl,--as-needed -Wl,--defsym=__gentoo_check_ldflags__=0 -shared -Wl,-soname,libzuluCrypt-exe.so.1.2.0 -o libzuluCrypt-exe.so.1.2.0 CMakeFiles/zuluCrypt-exe.dir/bin/close_volume.c.o CMakeFiles/zuluCrypt-exe.dir/bin/add_key.c.o CMakeFiles/zuluCrypt-exe.dir/bin/volume_info.c.o CMakeFiles/zuluCrypt-exe.dir/bin/open_volume.c.o CMakeFiles/zuluCrypt-exe.dir/bin/volumes.c.o CMakeFiles/zuluCrypt-exe.dir/bin/security.c.o CMakeFiles/zuluCrypt-exe.dir/bin/check_invalid_key.c.o CMakeFiles/zuluCrypt-exe.dir/bin/create_volumes.c.o CMakeFiles/zuluCrypt-exe.dir/bin/remove_key.c.o CMakeFiles/zuluCrypt-exe.dir/bin/write_device_with_junk.c.o CMakeFiles/zuluCrypt-exe.dir/bin/save_and_restore_volume_header.c.o CMakeFiles/zuluCrypt-exe.dir/bin/crypt_file.c.o CMakeFiles/zuluCrypt-exe.dir/bin/check_opened_mapper.c.o CMakeFiles/zuluCrypt-exe.dir/bin/get_opts.c.o CMakeFiles/zuluCrypt-exe.dir/bin/help.c.o CMakeFiles/zuluCrypt-exe.dir/bin/mount_flags.c.o CMakeFiles/zuluCrypt-exe.dir/bin/file_encryption.c.o CMakeFiles/zuluCrypt-exe.dir/bin/clear_dead_mappers.c.o CMakeFiles/zuluCrypt-exe.dir/bin/bind.c.o CMakeFiles/zuluCrypt-exe.dir/bin/create_mount_point.c.o CMakeFiles/zuluCrypt-exe.dir/bin/path_access.c.o CMakeFiles/zuluCrypt-exe.dir/bin/test.c.o  -Wl,-rpath,/var/tmp/portage/app-crypt/zulucrypt-5.4.0/work/zulucrypt-5.4.0_build/zuluCrypt-cli: libzuluCryptPluginManager.so.1.0.0 libzuluCrypt.so.1.2.0 libStringList.a -lcryptsetup -lblkid -luuid -ldevmapper -lgcrypt ../external_libraries/zuluplay/libzuluplay.a libString.a libProcess.a -pthread libSocket.a 
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: CMakeFiles/zuluCrypt-exe.dir/bin/add_key.c.o:(.bss+0x0): multiple definition of `zuluCryptSecurityPrivilegeElevationError'; CMakeFiles/zuluCrypt-exe.dir/bin/close_volume.c.o:(.bss+0x0): first defined here
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: CMakeFiles/zuluCrypt-exe.dir/bin/volume_info.c.o:(.bss+0x0): multiple definition of `zuluCryptSecurityPrivilegeElevationError'; CMakeFiles/zuluCrypt-exe.dir/bin/close_volume.c.o:(.bss+0x0): first defined here

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_developer-libressl-20200229-052058

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *

clang:
clang version 9.0.1 
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/9/bin
llvm:
9.0.1
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.6
  [3]   python3.7 (fallback)
  [4]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.41.1 *
java-config:
The following VMs are available for generation-2:
*)	IcedTea JDK 3.14.0 [icedtea-bin-8]
Available Java Virtual Machines:
  [1]   icedtea-bin-8  system-vm
ghc:
The Glorious Glasgow Haskell Compilation System, version 8.0.2

repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Mon, 02 Mar 2020 06:07:34 +0000

emerge -qpvO app-crypt/zulucrypt
[ebuild  N    ] app-crypt/zulucrypt-5.4.0  USE="qt5 udev -gnome -kwallet"
Comment 1 Toralf Förster gentoo-dev 2020-03-02 17:38:04 UTC
Created attachment 616846 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-03-02 17:38:07 UTC
Created attachment 616848 [details]
app-crypt:zulucrypt-5.4.0:20200302-073305.log
Comment 3 Toralf Förster gentoo-dev 2020-03-02 17:38:10 UTC
Created attachment 616850 [details]
emerge-history.txt
Comment 4 Toralf Förster gentoo-dev 2020-03-02 17:38:12 UTC
Created attachment 616852 [details]
environment
Comment 5 Toralf Förster gentoo-dev 2020-03-02 17:38:15 UTC
Created attachment 616854 [details]
etc.portage.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-03-02 17:38:18 UTC
Created attachment 616856 [details]
logs.tbz2
Comment 7 Toralf Förster gentoo-dev 2020-03-02 17:38:21 UTC
Created attachment 616858 [details]
temp.tbz2
Comment 8 Michael Lawrence 2020-08-09 00:07:57 UTC
COMMON_FLAGS="-march=armv8-a+crc+crypto -mcpu=cortex-a72.cortex-a53 -O2 -pipe ${GRAPHITE} ${CPU_FLAGS_ARM64}"
CPU_FLAGS_ARM64="edsp neon thumb vfp vfpv3 vfpv4 vfp-d32 crc32 v4 v5 v6 v7 v8 thumb2"
CFLAGS="${COMMON_FLAGS}"
CXXFLAGS="${COMMON_FLAGS}"
FCFLAGS="${COMMON_FLAGS}"
FFLAGS="${COMMON_FLAGS}"
GRAPHITE="-floop-interchange -ftree-loop-distribution -floop-strip-mine -floop-block -ftree-vectorize"

also go nuts looking into gcc folders for cpu flags ..

test CPU_FLAGS  yes enable if possible  , cant then skip..
Comment 9 Larry the Git Cow gentoo-dev 2020-12-28 12:43:19 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=092137c6c10a8bc01ec9ecf04f91eb78b441047c

commit 092137c6c10a8bc01ec9ecf04f91eb78b441047c
Author:     Jakov Smolic <jakov.smolic@sartura.hr>
AuthorDate: 2020-12-28 12:42:51 +0000
Commit:     David Seifert <soap@gentoo.org>
CommitDate: 2020-12-28 12:42:51 +0000

    app-crypt/zulucrypt: Port to EAPI 7
    
    * Fix eclass inheritance order
    * Fix build with gcc-10
    
    Closes: https://bugs.gentoo.org/711350
    Closes: https://bugs.gentoo.org/740230
    Package-Manager: Portage-3.0.9, Repoman-3.0.1
    Signed-off-by: Jakov Smolic <jakov.smolic@sartura.hr>
    Signed-off-by: David Seifert <soap@gentoo.org>

 app-crypt/zulucrypt/Manifest                         |  2 +-
 .../zulucrypt-5.5.0_pre20180223-fno-common.patch     | 11 +++++++++++
 ...223.ebuild => zulucrypt-5.5.0_pre20180223.ebuild} | 20 ++++++++------------
 3 files changed, 20 insertions(+), 13 deletions(-)